Summary:	Unicode string library - MinGW32 cross version
Summary(pl.UTF-8):	Biblioteka do obsługi łańcuchów unikodowych - wersja skrośna dla MinGW32
%define		realname	libunistring
Name:		crossmingw32-%{realname}
Version:	1.3
Release:	1
License:	LGPL v3+ or GPL v2+
Group:		Libraries
Source0:	https://ftp.gnu.org/gnu/libunistring/%{realname}-%{version}.tar.xz
# Source0-md5:	57dfd9e4eba93913a564aa14eab8052e
URL:		http://gnu.org/software/libunistring/
BuildRequires:	crossmingw32-gcc
BuildRequires:	crossmingw32-libiconv
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	crossmingw32-libiconv
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1
%define		_enable_debug_packages	0

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker
%define		filterout_ld	-Wl,-z,.*
%define		filterout_c	-f[-a-z0-9=]*

%description
This library provides functions for manipulating Unicode strings and
for manipulating C strings according to the Unicode standard.

This package contains the cross version for Win32.

%description -l pl.UTF-8
Ta biblioteka udostępnia funkcje do obsługi łańcuchów unikodowych oraz
do obsługi łańcuchów znaków C zgodnie ze standardem Unicode.

Ten pakiet zawiera wersję skrośną dla Win32.

%package static
Summary:	Static unistring library (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczna biblioteka unistring (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static unistring library (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczna biblioteka unistring (wersja skrośna MinGW32).

%package dll
Summary:	DLL unistring library for Windows
Summary(pl.UTF-8):	Biblioteka DLL unistring dla Windows
Group:		Applications/Emulators
Requires:	wine
Requires:	crossmingw32-libiconv-dll

%description dll
Header files for unistring library.

%description dll -l pl.UTF-8
Pliki nagłówkowe biblioteki unistring.

%prep
%setup -q -n %{realname}-%{version}

%build
%configure \
	--target=%{target} \
	--host=%{target}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
mv -f $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%{__rm} -r $RPM_BUILD_ROOT%{_infodir} $RPM_BUILD_ROOT%{_prefix}/share/doc/libunistring

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README THANKS
%attr(755,root,root) %{_libdir}/libunistring.dll.a
%{_libdir}/libunistring.la
%{_includedir}/unistring
%{_includedir}/uni*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libunistring.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libunistring-5.dll
%changelog
* Tue Nov 05 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw32-libunistring.git;a=log;h=master

* Tue Nov 05 2024 Jakub Bogusz <qboosh@pld-linux.org> 153e926
- updated to 1.3

* Sun Feb 25 2024 Jakub Bogusz <qboosh@pld-linux.org> 50aacf5
- updated to 1.2

* Sat Jan 28 2023 Jakub Bogusz <qboosh@pld-linux.org> 0bae7ed
- updated to 1.1

* Sun Feb 06 2022 Jakub Bogusz <qboosh@pld-linux.org> 4ec776e
- updated to 1.0

* Sat Sep 29 2018 Jakub Bogusz <qboosh@pld-linux.org> e8aaee8
- updated to 0.9.10

* Thu Dec 15 2016 Jakub Bogusz <qboosh@pld-linux.org> 884b732
- updated to 0.9.7; license change

* Wed Jul 15 2015 Jakub Bogusz <qboosh@pld-linux.org> ed21c3d
- updated to 0.9.6

* Wed Feb 18 2015 Jakub Bogusz <qboosh@pld-linux.org> 586430f
- updated to 0.9.5 (Unicode 7.0.0 support)

* Mon Sep 01 2014 Jakub Bogusz <qboosh@pld-linux.org> e9aa690
- updated to 0.9.4

* Sat Jun 19 2010 Jakub Bogusz <qboosh@pld-linux.org> 38b9d7d
- BR+R libiconv

* Fri Jun 18 2010 Jakub Bogusz <qboosh@pld-linux.org> 66d412c
- new, based on libunistring.spec

